%define	name	widelands
%define	version	b9
%define	release	2mdk
%define	Summary	Settlers II clone

Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://widelands.sourceforge.net/
Source0:	%{name}-%{version}-source.tar.bz2
Source1:	%{name}-%{version}.tar.bz2
License:	GPL
Group:		Games/Strategy
Summary:	%{Summary}
BuildRequires:	SDL-devel SDL_image-devel SDL_net-devel SDL_ttf-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Widelands is inspired by Bluebyte's Settlers II and will someday be the
logical extension of this game although you do not need the original
game. Play it on Win/Linux against human & AI opponents.

%prep
%setup -q -n %{name} -a1
mv %{name} %{name}.data

%build
%make ADD_CFLAGS="$RPM_OPT_FLAGS -finline-functions -ffast-math -funroll-loops -funroll-all-loops -fexpensive-optimizations -O3 -fno-omit-frame-pointer"

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__install} -m755 %{name} -D $RPM_BUILD_ROOT%{_gamesbindir}/%{name}.real
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_gamesbindir}/%{name}

cd %{_gamesdatadir}/%{name}
#!/bin/sh
%{_gamesbindir}/%{name}.real
EOF

%{__install} -d $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
%{__cp} -a %{name}.data/*/ $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/

%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		icon=strategy_section.png \
		needs="x11" \
		section="Amusement/Strategy" \
		title="Widelands"\
		longtitle="%{Summary}"
EOF

#%{__install} -d ${RPM_BUILD_ROOT}{%{_miconsdir},%{_liconsdir}}
#%{__tar} -xOjf %{SOURCE1} %{name}-icons/%{name}-16x16.png > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
#%{__tar} -xOjf %{SOURCE1} %{name}-icons/%{name}-32x32.png > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
#%{__tar} -xOjf %{SOURCE1} %{name}-icons/%{name}-48x48.png > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%{_gamesdatadir}/%{name}
#%{_iconsdir}/%{name}.png
#%{_liconsdir}/%{name}.png
#%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%defattr(755,root,root,755)
%{_gamesbindir}/%{name}*

%changelog
* Sat Mar 26 2005 Emmanuel Andry <eandry@free.fr> b9-2mdk
- cosmetics
- fixed missing menu icons

* Mon Mar 07 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> b9-1mdk
- buildrequires
- from Emmanuel Andry <eandry@free.fr> :
	o b9

* Sun Aug 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> b7-1mdk
- b7

* Wed Jul 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> b6-2mdk
- rebuild for new g++
- patch 0: fix compiling with new g++

* Wed Dec 24 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> b6-1mdk
- b6
- merry christmas!:)

* Tue Dec 09 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> b5-3mdk
- fix icon in menu item

* Sat Dec 05 2003 Franck Villaume <fvill@freesurf.fr> b5-2mdk
- add BuildRequires SDL_image-devel

* Sun Sep 14 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> b5-1mdk
- initial mdk release
